| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::accept (1 of 4 overloads)

Accept a new connection.

    template<
        typename SocketService>
    void accept(
        basic_socket< protocol_type, SocketService > & peer);

This function is used to accept a new connection from a peer into the given socket. The function call will block until a new connection has been accepted successfully or an error occurs.

###### Parameters

peer

  The socket into which the new connection will be accepted.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Example

    boost::asio::ip::tcp::acceptor acceptor(io_service);
    ...
    boost::asio::ip::tcp::socket socket(io_service);
    acceptor.accept(socket);